package ipl.util.file_manager;

import java.io.*;

public class DirectoryManager {
    /**
     *         .
     */
    private File fileList[];
    
    /**
     *         .
     */
    private int offset;
    
    /**
     *     .
     *   <i>offset</i>   .
     * @param strDir String
     */
    public DirectoryManager(String strDir) {
        
        offset = 0;
        File directory = new File(strDir);
        fileList = directory.listFiles();
        
    } // Files
    
    /**
     *        .
     * @return File
     */
    public File getNextFile() {
        if (offset >= fileList.length) {
            return null;
        } // if
        else {
            return fileList[offset++];
        } // else
    } // getNextFile
    
    /**
     *    <i>offset</i>    
     *    .
     */
    public void reset() {
        offset = 0;
    } // reset
    
  

} // DirectoryManager
